Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.plastic.theme
Class InvertedColorTheme

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.plaf.plastic.PlasticTheme
                  com.jgoodies.plaf.plastic.theme.InvertedColorTheme

Direct Known Subclasses:
  BrownSugar, DarkStar

public abstract class InvertedColorTheme
extends PlasticTheme

The abstract superclass of all inverted Plastic themes, that have light foreground and dark window background colors.

Version:
  $Revision: 1.4 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class com.jgoodies.plaf.plastic.PlasticTheme
`BLACK, BRIGHTEN_START, BRIGHTEN_STOP, controlFont, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, smallFont, systemFont, titleFont, userFont, WHITE`

Constructor Summary
`InvertedColorTheme()`

Method Summary
`void` | `addCustomEntriesToTable(UIDefaults table)`
`ColorUIResource` | `getControlDisabled()`
`ColorUIResource` | `getControlHighlight()`
`ColorUIResource` | `getControlInfo()`
`ColorUIResource` | `getFocusColor()`
`protected FontUIResource` | `getFont()`
`protected Font` | `getFont0()`
`protected Font` | `getFont0(int size)`
`ColorUIResource` | `getInactiveSystemTextColor()`
`ColorUIResource` | `getMenuDisabledForeground()`
`ColorUIResource` | `getMenuItemSelectedBackground()`
`ColorUIResource` | `getMenuItemSelectedForeground()`
`ColorUIResource` | `getMenuSelectedBackground()`
`ColorUIResource` | `getMenuSelectedForeground()`
`protected ColorUIResource` | `getPrimary1()`
`protected ColorUIResource` | `getPrimary2()`
`protected ColorUIResource` | `getPrimary3()`
`ColorUIResource` | `getPrimaryControlHighlight()`
`protected ColorUIResource` | `getSecondary1()`
`protected ColorUIResource` | `getSecondary2()`
`protected ColorUIResource` | `getSecondary3()`
`ColorUIResource` | `getSeparatorBackground()`
`ColorUIResource` | `getSimpleInternalFrameBackground()`
`protected ColorUIResource` | `getSoftWhite()`
`FontUIResource` | `getSubTextFont()`
`ColorUIResource` | `getTitleTextColor()`
`ColorUIResource` | `getToggleButtonCheckColor()`

Methods inherited from class com.jgoodies.plaf.plastic.PlasticTheme
`getBlack, getControlTextFont, getMenuForeground, getMenuItemBackground, getMenuTextFont, getSimpleInternalFrameForeground, getSystemTextColor, getSystemTextFont, getTitleTextFont, getUserTextFont, getWhite, getWindowTitleFont`

Methods inherited from class javax.swing.plaf.metal.DefaultMetalTheme
`getName`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlShadow, getControlTextColor, getDesktopColor, getHighlightedTextColor, getInactiveControlTextColor, getMenuBackground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvertedColorTheme

    public InvertedColorTheme()

Method Detail

### getSimpleInternalFrameBackground

    public ColorUIResource getSimpleInternalFrameBackground()

  Overrides:
    `getSimpleInternalFrameBackground` in class `PlasticTheme`

### addCustomEntriesToTable

    public void addCustomEntriesToTable(UIDefaults table)

### getFont

    protected FontUIResource getFont()

  Overrides:
    `getFont` in class `PlasticTheme`

### getFont0

    protected Font getFont0()

  Overrides:
    `getFont0` in class `PlasticTheme`

### getFont0

    protected Font getFont0(int size)

### getSubTextFont

    public FontUIResource getSubTextFont()

  Overrides:
    `getSubTextFont` in class `PlasticTheme`

### getControlDisabled

    public ColorUIResource getControlDisabled()

### getControlHighlight

    public ColorUIResource getControlHighlight()

### getControlInfo

    public ColorUIResource getControlInfo()

### getInactiveSystemTextColor

    public ColorUIResource getInactiveSystemTextColor()

### getMenuDisabledForeground

    public ColorUIResource getMenuDisabledForeground()

### getMenuItemSelectedBackground

    public ColorUIResource getMenuItemSelectedBackground()

  Overrides:
    `getMenuItemSelectedBackground` in class `PlasticTheme`

### getMenuItemSelectedForeground

    public ColorUIResource getMenuItemSelectedForeground()

  Overrides:
    `getMenuItemSelectedForeground` in class `PlasticTheme`

### getMenuSelectedBackground

    public ColorUIResource getMenuSelectedBackground()

### getMenuSelectedForeground

    public ColorUIResource getMenuSelectedForeground()

### getPrimary1

    protected ColorUIResource getPrimary1()

### getPrimary2

    protected ColorUIResource getPrimary2()

### getPrimary3

    protected ColorUIResource getPrimary3()

### getPrimaryControlHighlight

    public ColorUIResource getPrimaryControlHighlight()

### getSecondary1

    protected ColorUIResource getSecondary1()

### getSecondary2

    protected ColorUIResource getSecondary2()

### getSecondary3

    protected ColorUIResource getSecondary3()

### getSeparatorBackground

    public ColorUIResource getSeparatorBackground()

### getSoftWhite

    protected ColorUIResource getSoftWhite()

### getTitleTextColor

    public ColorUIResource getTitleTextColor()

  Overrides:
    `getTitleTextColor` in class `PlasticTheme`

### getToggleButtonCheckColor

    public ColorUIResource getToggleButtonCheckColor()

  Overrides:
    `getToggleButtonCheckColor` in class `PlasticTheme`

### getFocusColor

    public ColorUIResource getFocusColor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.